import { ThemeProps } from "./";
export declare const primaryButton: ({ palette }: ThemeProps) => {
    borderRadius: string;
    background: string;
    color: string;
    transition: string;
    '&:hover': {
        background: string;
    };
    '&:active': {
        boxShadow: string;
    };
};
export declare const checkButton: ({ palette }: ThemeProps) => {
    '& $checkWrapper': {
        marginLeft: number;
        minWidth: number;
        width: number;
        height: number;
        background: string;
        position: string;
        right: string;
        display: string;
        justifyContent: string;
        alignItems: string;
        borderRadius: string;
    };
    '& $checkIconCl': {
        width: number;
        '& path': {
            color: string;
        };
    };
    '& $childrenStyle': {
        paddingRight: string;
    };
    '& $centeredChildren': {
        width: string;
        paddingLeft: string;
    };
    display: string;
    justifyContent: string;
    alignItems: string;
};
